summaryrefslogtreecommitdiffstats
path: root/support/dependencies
diff options
context:
space:
mode:
authorGaël PORTAY <gael.portay@savoirfairelinux.com>2018-02-05 16:57:08 -0500
committerThomas Petazzoni <thomas.petazzoni@bootlin.com>2018-02-06 17:21:09 +0100
commit27d22296927d7e4ec0965f2bdaa272b1e8ea15e7 (patch)
tree339be3f2d4c786d33efe6d2681be76f00e19f142 /support/dependencies
parent73cbb077be00999494204dd2a408856ff3929cf2 (diff)
downloadbuildroot-27d22296927d7e4ec0965f2bdaa272b1e8ea15e7.tar.gz
buildroot-27d22296927d7e4ec0965f2bdaa272b1e8ea15e7.zip
support/dependencies: add check for c++ multilib
Some packages build C++ 32bits host-tools and need the g++-multilib to be installed on the build machine. As example, qt5webengine builds a C++ host-tool when target is 32bits. Add the check for g++-multilib to the dependencies script; and update the Dockerfile to install g++-multilib package. Signed-off-by: Gaël PORTAY <gael.portay@savoirfairelinux.com> Signed-off-by: Thomas Petazzoni <thomas.petazzoni@bootlin.com>
Diffstat (limited to 'support/dependencies')
-rwxr-xr-xsupport/dependencies/dependencies.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index a195c62c8c..1804e85508 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -249,6 +249,14 @@ if grep -q ^BR2_HOSTARCH_NEEDS_IA32_COMPILER=y $BR2_CONFIG ; then
echo "For other distributions, refer to their documentation."
exit 1
fi
+
+ if ! echo "int main(void) {}" | g++ -m32 -x c++ - -o /dev/null 2>/dev/null; then
+ echo
+ echo "Your Buildroot configuration needs a compiler capable of building 32 bits binaries."
+ echo "If you're running a Debian/Ubuntu distribution, install the g++-multilib package."
+ echo "For other distributions, refer to their documentation."
+ exit 1
+ fi
fi
# Check that the Perl installation is complete enough for Buildroot.
OpenPOWER on IntegriCloud